Subject: Re: [bisected] [oops] gre/gro oops in skb_gro_receive+0x118/0x453

From: Timo Teras <[email-masked]>
Date: Fri, 16 May 2014 20:01:12 +0300

On Fri, 16 May 2014 09:50:27 -0700
Eric Dumazet <[email-masked]> wrote:

> On Fri, 2014-05-16 at 19:40 +0300, Timo Teras wrote:
> 
> > Both the gre bound interface, and the inside interface are
> > identical.
> > 
> > And you are right. It might be driver / hw / gro capability specific
> > issue. I had also report from a user using similar
> > gre/ipsec/forwarding setup, that 3.13-stable kernels works on his
> > hardware.
> > 
> 
> > Using unmodified in-tree r8169 module.
> > 
> > Please let me know if additional information is needed.
> 
> What happens if you disable gro on eth0 ?

I believe it crashes, but cannot say with 100% certainty. I can
test later on if needed. Based on earlier experiment, the only way to
avoid the crash was to turn off gro on gre1.

In any case I don't think it should make any effect, since the GRE
packets arrive IPseced. eth0 is receiving ESP packets - and I believe
there's no ESP GRO support. Only after decryption they go to gre1, so
gre1 gro is basically the place where received packets are coalesced.